# Tạo nhắc hẹn cá nhân

1. Body

<table><thead><tr><th width="135">Name</th><th width="389">Type</th><th>Description</th></tr></thead><tbody><tr><td>service</td><td>message</td><td></td></tr><tr><td>method</td><td>createTopic</td><td></td></tr><tr><td>data</td><td><pre class="language-json"><code class="lang-json">{
    "method": "createTopic",
    "service": "message",
    "data": {
        "accountId": "39456257143545255",
        "toId": "1598980502599776027",
        "startTime": 1726624800000,
        "title": "Title nhac hen",
        "repeat": 1
    }
}
</code></pre></td><td>repeat: <br><em>0 - Không lặp lại</em><br><em>1 - Hàng ngày</em><br><em>2 - Hàng tuần</em><br><em>3 - Hàng tháng</em></td></tr></tbody></table>

2. Response

{% tabs %}
{% tab title="200" %}

```json
{
    "data": {
        "error_message": null,
        "data": {
            "creatorUid": "39456257143545255", // id người tạo
            "toUid": "1598980502599776027", // user_id người nhận
            "emoji": "⏰",
            "color": -16245706, // màu 
            "reminderId": "216172782254582491",
            "createTime": 1726557972715,
            "repeat": 1, // loại lặp lại
            "startTime": 47947008, // thời gian bắt đầu
            "editTime": 1726557972715,
            "endTime": 0, // thời gian kết thúc
            "params": {
                "setTitle": true,
                "title": "Title nhac hen"
            }
        },
        "error_code": 0
    },
    "status": "success"
}
```

{% endtab %}

{% tab title="400" %}

```json
{
    "status": "error",
    "error": {
        "message": "Something wrong was happened.",
        "code": null,
        "prms": null
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.salework.net/salework-tai-lieu/salework-zalo-open-api/message/tao-nhac-hen-ca-nhan.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
